--- mod_fastcgi.orig.c	2011-06-16 15:43:12.000000000 +0200
+++ mod_fastcgi.c	2011-06-16 15:43:29.000000000 +0200
@@ -2050,6 +2050,12 @@
 		FCGI_ENV_ADD_CHECK(fcgi_env_add(p->fcgi_env, CONST_STR_LEN("QUERY_STRING"), CONST_STR_LEN("")),con)
 	}
 
+	int tmp_len = LI_ltostr(buf, srv->cur_ts);
+	FCGI_ENV_ADD_CHECK(fcgi_env_add(p->fcgi_env, CONST_STR_LEN("RAW_TIME"), buf, tmp_len),con)
+
+	tmp_len = LI_ltostr(buf, con->fd);
+	FCGI_ENV_ADD_CHECK(fcgi_env_add(p->fcgi_env, CONST_STR_LEN("CFD"), buf, tmp_len),con)
+
 	s = get_http_method_name(con->request.http_method);
 	FCGI_ENV_ADD_CHECK(fcgi_env_add(p->fcgi_env, CONST_STR_LEN("REQUEST_METHOD"), s, strlen(s)),con)
 	FCGI_ENV_ADD_CHECK(fcgi_env_add(p->fcgi_env, CONST_STR_LEN("REDIRECT_STATUS"), CONST_STR_LEN("200")),con) /* if php is compiled with --force-redirect */
